org.apache.synapse.commons.staxon.core.event

## Class SimpleXMLEventAllocator

- java.lang.Object
- - org.apache.synapse.commons.staxon.core.event.SimpleXMLEventAllocator

- All Implemented Interfaces:
    javax.xml.stream.util.XMLEventAllocator

      public class SimpleXMLEventAllocator
      extends java.lang.Object
      implements javax.xml.stream.util.XMLEventAllocator

  Simple implementation of `XMLEventAllocator`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleXMLEventAllocator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.xml.stream.events.XMLEvent` | `allocate(javax.xml.stream.XMLStreamReader reader)`
    `void` | `allocate(javax.xml.stream.XMLStreamReader reader, javax.xml.stream.util.XMLEventConsumer consumer)`
    `javax.xml.stream.util.XMLEventAllocator` | `newInstance()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleXMLEventAllocator

          public SimpleXMLEventAllocator()

  - ### Method Detail

    - #### newInstance

          public javax.xml.stream.util.XMLEventAllocator newInstance()

      Specified by:
        `newInstance` in interface `javax.xml.stream.util.XMLEventAllocator`

    - #### allocate

          public javax.xml.stream.events.XMLEvent allocate(javax.xml.stream.XMLStreamReader reader)
                                                    throws javax.xml.stream.XMLStreamException

      Specified by:
        `allocate` in interface `javax.xml.stream.util.XMLEventAllocator`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### allocate

          public void allocate(javax.xml.stream.XMLStreamReader reader,
                               javax.xml.stream.util.XMLEventConsumer consumer)
                        throws javax.xml.stream.XMLStreamException

      Specified by:
        `allocate` in interface `javax.xml.stream.util.XMLEventAllocator`
      Throws:
        `javax.xml.stream.XMLStreamException`

Copyright © 2005-2022 Apache Software Foundation. All Rights Reserved.